Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class AbstractInboundMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractInboundMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  ProxyServiceMessageProcessorBuilder, WebServiceMessageProcessorBuilder

    public abstract class AbstractInboundMessageProcessorBuilder

extends Object
implements MuleContextAware, MessageProcessorBuilder

An abstract builder for CXF services. It handles all common operations such as interceptor configuration, mule header enabling, etc. Subclasses can extend this and control how the Server is created and how the `CxfInboundMessageProcessor` is configured.

Field Summary
`protected MuleContext` | `muleContext`

Constructor Summary
`AbstractInboundMessageProcessorBuilder()`

Method Summary
`void` | `addIgnoredMethods(org.apache.cxf.service.factory.ReflectionServiceFactoryBean svcFac, String className)`
`CxfInboundMessageProcessor` | `build()`
`protected void` | `configureMessageProcessor(org.apache.cxf.frontend.ServerFactoryBean sfb, CxfInboundMessageProcessor processor)`
`protected void` | `configureServer(org.apache.cxf.endpoint.Server server2)`
`protected org.apache.cxf.service.invoker.Invoker` | `createInvoker(CxfInboundMessageProcessor processor)`
`protected abstract org.apache.cxf.frontend.ServerFactoryBean` | `createServerFactory()`
`protected String` | `getAddress()`
`String` | `getBindingId()`
`CxfConfiguration` | `getConfiguration()`
`List<org.apache.cxf.feature.AbstractFeature>` | `getFeatures()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getInFaultInterceptors()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getInInterceptors()`
`String` | `getMtomEnabled()`
`String` | `getNamespace()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getOutFaultInterceptors()`
`List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>>` | `getOutInterceptors()`
`String` | `getPort()`
`Map<String,Object>` | `getProperties()`
`org.apache.cxf.endpoint.Server` | `getServer()`
`String` | `getService()`
`protected abstract Class<?>` | `getServiceClass()`
`String` | `getWsdlLocation()`
`boolean` | `isEnableMuleSoapHeaders()`
`abstract boolean` | `isProxy()`
`boolean` | `isValidationEnabled()`
`void` | `setBindingId(String bindingId)`
`void` | `setConfiguration(CxfConfiguration configuration)`
`void` | `setEnableMuleSoapHeaders(boolean enableMuleSoapHeaders)`
`void` | `setFeatures(List<org.apache.cxf.feature.AbstractFeature> features)`
`void` | `setInFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inFaultInterceptors)`
`void` | `setInInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inInterceptors)`
`void` | `setMtomEnabled(String mtomEnabled)`
`void` | `setMuleContext(MuleContext muleContext)`
`void` | `setNamespace(String namespace)`
`void` | `setOutFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outFaultInterceptors)`
`void` | `setOutInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outInterceptors)`
`void` | `setPort(String endpoint)`
`void` | `setProperties(Map<String,Object> properties)`
`void` | `setService(String name)`
`void` | `setValidationEnabled(boolean validationEnabled)`
`void` | `setWsdlLocation(String wsdlUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### muleContext

    protected MuleContext muleContext

Constructor Detail

### AbstractInboundMessageProcessorBuilder

    public AbstractInboundMessageProcessorBuilder()

Method Detail

### build

    public CxfInboundMessageProcessor build()
                                     throws MuleException

  Specified by:
    `build` in interface `MessageProcessorBuilder`
  Throws:
    `MuleException`

### createInvoker

    protected org.apache.cxf.service.invoker.Invoker createInvoker(CxfInboundMessageProcessor processor)

### configureServer

    protected void configureServer(org.apache.cxf.endpoint.Server server2)

### getServiceClass

    protected abstract Class<?> getServiceClass()

### configureMessageProcessor

    protected void configureMessageProcessor(org.apache.cxf.frontend.ServerFactoryBean sfb,
                                             CxfInboundMessageProcessor processor)

### createServerFactory

    protected abstract org.apache.cxf.frontend.ServerFactoryBean createServerFactory()
                                                                              throws Exception

  Throws:
    `Exception`

### getAddress

    protected String getAddress()

### addIgnoredMethods

    public void addIgnoredMethods(org.apache.cxf.service.factory.ReflectionServiceFactoryBean svcFac,
                                  String className)

### getServer

    public org.apache.cxf.endpoint.Server getServer()

### isProxy

    public abstract boolean isProxy()

### getConfiguration

    public CxfConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(CxfConfiguration configuration)

### isEnableMuleSoapHeaders

    public boolean isEnableMuleSoapHeaders()

### setEnableMuleSoapHeaders

    public void setEnableMuleSoapHeaders(boolean enableMuleSoapHeaders)

### getWsdlLocation

    public String getWsdlLocation()

### setWsdlLocation

    public void setWsdlLocation(String wsdlUrl)

### getBindingId

    public String getBindingId()

### setBindingId

    public void setBindingId(String bindingId)

### getMtomEnabled

    public String getMtomEnabled()

### setMtomEnabled

    public void setMtomEnabled(String mtomEnabled)

### getService

    public String getService()

### setService

    public void setService(String name)

### getNamespace

    public String getNamespace()

### setNamespace

    public void setNamespace(String namespace)

### getFeatures

    public List<org.apache.cxf.feature.AbstractFeature> getFeatures()

### setFeatures

    public void setFeatures(List<org.apache.cxf.feature.AbstractFeature> features)

### getInInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getInInterceptors()

### setInInterceptors

    public void setInInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inInterceptors)

### getInFaultInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getInFaultInterceptors()

### setInFaultInterceptors

    public void setInFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> inFaultInterceptors)

### getOutInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getOutInterceptors()

### setOutInterceptors

    public void setOutInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outInterceptors)

### getOutFaultInterceptors

    public List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> getOutFaultInterceptors()

### setOutFaultInterceptors

    public void setOutFaultInterceptors(List<org.apache.cxf.interceptor.Interceptor<? extends org.apache.cxf.message.Message>> outFaultInterceptors)

### setMuleContext

    public void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getPort

    public String getPort()

### setPort

    public void setPort(String endpoint)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

### isValidationEnabled

    public boolean isValidationEnabled()

### setValidationEnabled

    public void setValidationEnabled(boolean validationEnabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.